document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_2400 | ---
+++
@@ -2,4 +2,8 @@
git clone https://github.com/jasmine/jasmine.github.io.git
-bundle exec rake jasmine:ci JASMINE_CONFIG_PATH=jasmine.github.io/edge/spec/support/jasmine.yml
+cd jasmine.github.io
+bundle
+
+rake update_edge_jasmine
+rake phantom | bash |
d_bash_2401 | ---
+++
@@ -3,12 +3,9 @@
INSTALL_PATH=/usr/local/dredger
-sudo apt-get install make
-
-sudo mkdir -p $INSTALL_PATH
-sudo wget https://github.com/outeredge/dredger/archive/master.tar.gz -qO - | sudo tar -zxf - -C $INSTALL_PATH --strip=1
-sudo ln -sf $INSTALL_PATH/dredger /usr/local/bin/dredger
-sudo ln -sf $INSTA... | bash |
d_bash_2402 | ---
+++
@@ -7,6 +7,7 @@
# REVIEWER="username";
source $(dirname $0)/pr-user.sh
+REPO="username/reponame"
BRANCH=`git rev-parse --abbrev-ref HEAD`
TITLE=`git log -1 --format=%s`
@@ -18,7 +19,7 @@
"name": "$BRANCH"
},
"repository": {
- "full_name": "parkeon-ondemand... | bash |
d_bash_2403 | ---
+++
@@ -1,2 +1,3 @@
export EDITOR='vim'
export LANG='en_US.UTF-8'
+export LC_ALL='en_US.UTF-8' | bash |
d_bash_2404 | ---
+++
@@ -2,13 +2,16 @@
# Usage: ./gulp-tracer.sh [name]
-proc='gulp'
+function traceProc {
+ echo "Running strace for $1"
+ strace -tp "$(pgrep -l $(echo "$1") | awk '{ print $1}')" -etrace=stat -esignal=none
+}
if [[ $UID != 0 ]]; then
echo 'Script must be run as root (sudo)'
exit 1
elif ... | bash |
d_bash_2405 | ---
+++
@@ -2,45 +2,16 @@
set -e # Abort on error.
-export PING_SLEEP=30s
-export BUILD_OUTPUT=$RECIPE_DIR/build.out
-
-touch $BUILD_OUTPUT
-
-dump_output() {
- echo Tailing the last 500 lines of output:
- tail -50000 $BUILD_OUTPUT
-}
-error_handler() {
- echo ERROR: An error was encountered with the bu... | bash |
d_bash_2406 | ---
+++
@@ -3,6 +3,8 @@
set -o pipefail
setup_user() {
+ home_base=/container_home
+
useradd_params=''
if [ ! -z "$USER_UID" ]; then
useradd_params="$useradd_params --uid $USER_UID"
@@ -12,13 +14,13 @@
fi
if [ ! -z "$USER_DIR" ]; then
mkdir -p $USER_DIR
- useradd_pa... | bash |
d_bash_2407 | ---
+++
@@ -3,7 +3,7 @@
# Exit immediately on non-zero return codes.
set -e
-# Run start command of only options given.
+# Run start command if only options given.
if [ "${1:0:1}" = '-' ]; then
set -- dst-server start "$@"
fi | bash |
d_bash_2408 | ---
+++
@@ -8,11 +8,6 @@
echo "extension_id=${extension_id}"
echo "version=${version}"
-cd "sts4/vscode-extensions/${extension_id}"
-npm version "${version}"
-echo "Version set to " `npm version`
-echo -e "\n\n*Version: ${version}*" >> README.md
-
if [ -d "maven-cache" ]; then
echo "Prepopulating maven cach... | bash |
d_bash_2409 | ---
+++
@@ -1,4 +1,5 @@
source Base/File/Util/BaseFileUtil.sh
+source String/Validator/StringValidator.sh
source Message/Builder/MessageBuilder.sh
PropsReader(){
@@ -13,6 +14,11 @@
MessageBuilder printProgressMessage reading-configuration-from-${file}
properties=($(cat ${file}))
+
+ if [[ $(StringValida... | bash |
d_bash_2410 | ---
+++
@@ -26,6 +26,8 @@
sphinx-build .. .
# Add generated files to the bioconda.github.io repository
+touch .nojekyll
+git add .nojekyll
echo '.*' >> .gitignore
git add .
git config user.name "Travis CI" | bash |
d_bash_2411 | ---
+++
@@ -20,7 +20,7 @@
echo ""
echo "${PKGNAME} ${PKGVER} ${release}"
echo ""
- DST=${TMP}/${PKGNAME}-${PKGVER}~${release}/
+ DST=${TMP}/${PKGNAME}-${PKGVER}/
mkdir ${DST}
cp -aR ${CURRENT}/* ${DST}
cd ${DST}
@@ -29,7 +29,7 @@
mv debian-${PKGNAME} debian
#debian: changelog
- sed -e "s/${PK... | bash |
d_bash_2412 | ---
+++
@@ -8,7 +8,7 @@
apt-get update
apt-get install -qy --force-yes libpam-krb5 nagios3 nagios-nrpe-plugin nagios-nrpe-server tsm-client
-apt-get install -qy --force-yes mercurial
+apt-get install -qy --force-yes lvm2 mercurial
echo =============================
echo "Configure new packages" | bash |
d_bash_2413 | ---
+++
@@ -11,5 +11,5 @@
DIR=$(dirname $(realpath $0))
cargo build --manifest-path=$DIR/Cargo.toml
-export RUST_LOG=languageclient=info
+export RUST_LOG=languageclient=debug
$DIR/target/debug/languageclient | bash |
d_bash_2414 | ---
+++
@@ -6,16 +6,14 @@
echo "===== sysTools installation ====="
-CMD=/opt/sysTools/cmd
+CMD="PATH="PATH:/opt/sysTools/cmd"; export PATH"
-if [ -d /etc/paths.d ]; then # Mac Os Path predefs
- echo $CMD >> /etc/paths.d/sysTools
-elif [ -d /etc/profile.d ]; then # Debian Path predefs
- echo $CMD >> /etc/profil... | bash |
d_bash_2415 | ---
+++
@@ -4,6 +4,7 @@
#copy data we're interested in to other place
cp -R build $HOME
+ cp -R static $HOME/build
#go to home and setup git
cd $HOME | bash |
d_bash_2416 | ---
+++
@@ -39,7 +39,7 @@
SETTINGS
echo "Update product_details"
-manage.py update_product_details
+./manage.py update_product_details
echo "Starting tests..."
export FORCE_DB=1 | bash |
d_bash_2417 | ---
+++
@@ -1,26 +1,16 @@
#!/bin/bash -x
-wait_for_line () {
- while read line
- do
- echo "$line" | grep -q "$1" && break
- done < "$2"
- # Read the fifo for ever otherwise process would block
- cat "$2" >/dev/null &
-}
# Start PostgreSQL process for tests
PGSQL_DATA=`mktemp -d /tmp/gnocch... | bash |
d_bash_2418 | ---
+++
@@ -13,7 +13,7 @@
--deb-suggests python3-sqlalchemy \
--deb-suggests python3-psycopg2 \
--deb-suggests python3-waitress \
- -d "python3>=3.5" \
+ -d "python3 (>= 3.5)" \
-d python3-pkg-resources \
-d python3-redis \
-d python3-werkzeug \ | bash |
d_bash_2419 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/local/bin/zsh
running=$(/usr/local/bin/emacsclient --eval '(daemonp)')
| bash |
d_bash_2420 | ---
+++
@@ -1,8 +1,5 @@
#!/bin/sh
# Kicks off the Jenkins tests.
-
-git submodule sync
-git submodule update --init --recursive
VBGUEST=$(vagrant plugin list |grep -i vbguest)
if [ ! "$VBGUEST" ]; then | bash |
d_bash_2421 | ---
+++
@@ -1,9 +1,11 @@
#! /usr/bin/env bash
# Script my typical cmake build process.
+build_type=Release
+
mkdir -p _build && cd _build
cmake .. \
- -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_BUILD_TYPE=$build_type \
-DCMAKE_INSTALL_PREFIX=$CONDA_PREFIX
make -s
ctest | bash |
d_bash_2422 | ---
+++
@@ -14,6 +14,9 @@
# Although Go 1.5 says 'exit status 66' in case of a race, it exits with 1.
# Therefore, we manually check the output of 'go test' for data races and
# exit with an error if one was found.
+# TODO(mberlin): Test all packages (go/... instead of go/vt/...) once
+# go/cgzip is... | bash |
d_bash_2423 | ---
+++
@@ -2,7 +2,7 @@
tmp=$(mktemp -d)
VERSION=$(cat ./src/cli/cli.go | grep 'Version = "v' | sed 's/[^0-9.]*\([0-9.]*\).*/\1/')
echo $VERSION
-git clone --depth 1 https://github.com/schollz/croc $tmp/croc
-(cd $tmp/croc && go mod tidy && go mod vendor)
-(cd $tmp && tar -cvzf croc_${VERSION}_src.tar.gz croc)
+gi... | bash |
d_bash_2424 | ---
+++
@@ -8,8 +8,6 @@
./manage.py migrate --noinput
./manage.py collectstatic --noinput
./manage.py compress
-./manage.py remove_content_rotation_settings_from_sections
-./manage.py remove_all_featured_articles
echo "from django.contrib.auth.models import User
if not User.objects.filter(username='admin').cou... | bash |
d_bash_2425 | ---
+++
@@ -1,8 +1,5 @@
cd /cartodb
source /usr/local/rvm/scripts/rvm
-
-echo "INSERT INTO feature_flags (id,name, restricted) VALUES (nextval('machine_added_feature_flags_id_seq'), 'editor-3', false);" | psql -U postgres carto_db_development && \
-echo "INSERT INTO feature_flags (id,name, restricted) VALUES (nextv... | bash |
d_bash_2426 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-set -e
+set -o errexit -o nounset
rev=$(git rev-parse --short HEAD)
| bash |
d_bash_2427 | ---
+++
@@ -13,7 +13,7 @@
. /usr/local/bin/virtualenvwrapper.sh
-vi requirements.txt
+mate -w -l 8 requirements.txt
# TODO: Walk the tree and do this instead?
# At least loop over a list of files. | bash |
d_bash_2428 | ---
+++
@@ -1,8 +1,11 @@
#!/bin/sh
# If libvirt is not installed on the host permissions need to be set
-chmod 660 /dev/kvm
-chown root:kvm /dev/kvm
+# If running in qemu, we don't need to set anything as /dev/kvm won't exist
+if [[ -c /dev/kvm ]]; then
+ chmod 660 /dev/kvm
+ chown root:kvm /dev/kvm
+fi
... | bash |
d_bash_2429 | ---
+++
@@ -6,6 +6,7 @@
apt-add-repository -y ppa:chris-lea/node.js
apt-get update
apt-get install -y openjdk-7-jdk
+apt-get install -y git
apt-get install -y nodejs
npm install -g grunt-cli
npm install -g bower | bash |
d_bash_2430 | ---
+++
@@ -12,8 +12,9 @@
cd ..
./gtk_xml_recursive_process.py \
$GTK_VERSION/gnome-apps-$GTK_VERSION.modules \
->|gtk_packages_$GTK_VERSION.xml
+>|gtk_packages_$GTK_VERSION.xml_original
rm -rf $GTK_VERSION
+cp gtk_packages_$GTK_VERSION.xml_original gtk_packages_$GTK_VERSION.xml
patch --no-backup-if-mismatch gt... | bash |
d_bash_2431 | ---
+++
@@ -22,7 +22,7 @@
echo "Repository: $ZUUL_PROJECT"
#Run API tests only for mistral repository
-if [[ "$ZUUL_PROJECT" == "stackforge/mistral" ]]; then
+if [[ "$ZUUL_PROJECT" == "openstack/mistral" ]]; then
cd mistral/
echo "Run mistral API tests"
sudo bash ./functionaltests/run_tests.sh | bash |
d_bash_2432 | ---
+++
@@ -13,7 +13,12 @@
if ! mountpoint -q /srv; then
mkfs.xfs "$LOCALDISK"
+ # Move any existing files/directories out of the way
+ TMPDIR=$(mktemp -d)
+ mv /srv/* "$TMPDIR"
mount /srv
+ mv "$TMPDIR/"* /srv
+ rmdir "$TMPDIR"
fi
if [ ! -L /var/lib/postgresql ]; then | bash |
d_bash_2433 | ---
+++
@@ -7,9 +7,14 @@
sh -c "$(wget https://raw.github.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O -)"
fi
+export SOLARIZED=~/.solarized
+
# Create a folder to hold all the solarized color schemes
-cd && mkdir .solarized && cd $_ || exit
-export SOLARIZED=~/.solarized
+if [ ! -d $SOLARIZED ]; then... | bash |
d_bash_2434 | ---
+++
@@ -9,4 +9,4 @@
BOOST_ROOT=$PWD && export BOOST_ROOT
sudo apt-get update
-sudo apt-get install liblua5.2-dev
+sudo apt-get install -q -y liblua5.2-dev | bash |
d_bash_2435 | ---
+++
@@ -2,7 +2,7 @@
__append-path-entry $SOURCE_DIR/local-only/bin
# Load any local only initializations
- for init in `ls -d1 $SCRIPT_DIR/local-only/zsh/init/*`
+ for init in `ls -d1 $SOURCE_DIR/local-only/zsh/init/*`
do
source $init
done | bash |
d_bash_2436 | ---
+++
@@ -2,7 +2,7 @@
echo "MySQL: creating schema"
-SCHEMA="$(readlink -e $(dirname $0)/../../config/contrib/sql/schema-mysql.sql)"
+SCHEMA="$OXI_TEST_SAMPLECONFIG_DIR/contrib/sql/schema-mysql.sql"
test ! -z "$1" && SCHEMA="$1"
DBPASS="" | bash |
d_bash_2437 | ---
+++
@@ -10,6 +10,11 @@
less ${ZSH_CUSTOM}/$1.zsh
}
+# Copy/paste with pipes
+alias c='xclip'
+alias cc='xclip -selection clipboard'
+alias v='xclip -o'
+
# Memory jogs
alias lines='echo "cat -n FILE"'
alias fix-monitor='echo "http://www.ireckon.net/2013/03/force-rgb-mode-in-mac-os-x-to-fix-the-picture-qu... | bash |
d_bash_2438 | ---
+++
@@ -1,3 +1,3 @@
-source bash-toolbox/lib/colorme.sh
-source bash-toolbox/lib/include.sh
-source bash-toolbox/lib/package.sh
+source ${projectDir}bash-toolbox/lib/colorme.sh
+source ${projectDir}bash-toolbox/lib/include.sh
+source ${projectDir}bash-toolbox/lib/package.sh | bash |
d_bash_2439 | ---
+++
@@ -17,11 +17,8 @@
grep -Fxvf /tmp/base.txt <(dpkg -l | grep ^ii | sed 's_ _\t_g' | cut \
-f 2) >/tmp/add-apt.txt
-# Ensure UTF-8, required for add-apt-repository call.
-locale-gen en_US.UTF-8
-
# Add new repos and update again
-LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 add-apt-repository -y ppa:cz.nic-labs/... | bash |
d_bash_2440 | ---
+++
@@ -8,7 +8,7 @@
mkdir test_cases
cd test_cases
wget "https://drive.google.com/uc?export=download&id=1johP6rf7iS8-mi6xrT5mCX4wnbKk8rq8" -O test_cases.zip
-7z x test_cases.zip
+unzip test_cases.zip
rm *.zip
cd ..
BCMD_DIR=$(pwd)/build/ | bash |
d_bash_2441 | ---
+++
@@ -28,11 +28,18 @@
}
function csv_lines_for {
+
+ STORED_IFS=$IFS
+ IFS=$(echo -en "\n\b")
+
for filename in $(find . -iname "*.$1"); do
echo "`wc -l $filename` `number_of_commits` `first_commit` `last_commit`" |
legible_output |
xargs echo
done
+
+ IFS=$STORED_IFS
+
}
functio... | bash |
d_bash_2442 | ---
+++
@@ -6,4 +6,4 @@
# Need to build in docker run step to take env vars into account for e.g. Google Analytics
npm run build
-npm run serve --port 8080 --host 0.0.0.0
+npm run serve -- --port 8080 --host 0.0.0.0 | bash |
d_bash_2443 | ---
+++
@@ -13,3 +13,4 @@
log_stream_name = {instance_id}
datetime_format = %b %d %H:%M:%S
EOF
+ | bash |
d_bash_2444 | ---
+++
@@ -13,6 +13,6 @@
# consecutively), remove all previous instances from history and add only one
# new instance, effectively removing all duplicates from history, including
# non-consecutive ones
-HISTCONTROL=ignoredups:erasedups
shopt -s histappend
PROMPT_COMMAND="history -n; history -w; history... | bash |
d_bash_2445 | ---
+++
@@ -2,15 +2,17 @@
if [ ! -f /usr/bin/ansible-playbook ]
then
- apt-get install software-properties-common
- apt-add-repository ppa:ansible/ansible
- apt-get update
- apt-get install -y ansible
+ sudo apt-get install software-properties-common
+ sudo apt-add-repository ppa:ansible/ans... | bash |
d_bash_2446 | ---
+++
@@ -13,3 +13,11 @@
fi
fi
}
+
+function last_cmd_info() {
+ if [[ $? = 0 ]]; then
+ echo ${ZSH_THEME_LAST_CMD_SUCCESS}
+ else
+ echo ${ZSH_THEME_LAST_CMD_FAILED}
+ fi
+} | bash |
d_bash_2447 | ---
+++
@@ -15,7 +15,7 @@
fi
[ ! -f ${_cake_task_cache_file} ] && return 0;
- [ ${_cake_task_cache_file} -nt Cakefile ] && return 0;
+ [ Cakefile -nt ${_cake_task_cache_file} ] && return 0;
return 1;
}
| bash |
d_bash_2448 | ---
+++
@@ -11,7 +11,7 @@
BOOST_UNIT_TEST_OPTIONS=\
"--run_test=* "\
"--random=1 "\
-"--show_progress=yes "\
+"--show_progress=no "\
"--detect_memory_leak=0 "\
"--report_level=no "\
"--build_info=yes" | bash |
d_bash_2449 | ---
+++
@@ -15,6 +15,7 @@
# limitations under the License.
echo "Building wheel..."
+source env/bin/activate
python setup.py bdist_wheel
echo "Building egg..." | bash |
d_bash_2450 | ---
+++
@@ -28,6 +28,7 @@
fi
}
+alias grep="grep --color --line-number"
alias h="history"
alias j="jobs"
alias l="_ls" | bash |
d_bash_2451 | ---
+++
@@ -1,13 +1,57 @@
+## ----------------------------------------------------------------------------
# Please set the following ENV VARS for the specific examples:
export NODE_PATH=`pwd`/../lib
-# Amazon : all services
+## ----------------------------------------------------------------------------
+# Ama... | bash |
d_bash_2452 | ---
+++
@@ -15,7 +15,7 @@
BUILD_DIR=$2
TEMP_DIR=__t_m_p__/origin-gh-pages
(
- # TODO how can we fail on error?
+ set -e
echo "push2ghpages: checking out 'gh-pages' branch";
git clone --branch=gh-pages "https://${GH_TOKEN}@${GH_REF}" $TEMP_DIR | bash |
d_bash_2453 | ---
+++
@@ -1,16 +1,22 @@
-#!/bin/sh
-if ! whoami &> /dev/null; then
- if [ -w /etc/passwd ]; then
- sed "/postgres:x:26/d" /etc/passwd >> /tmp/uid.tmp
- cp /tmp/uid.tmp /etc/passwd
- rm -f /tmp/uid.tmp
- echo "${USER_NAME:-postgres}:x:$(id -u):0:${USER_NAME:-postgres} user:${HOME}:/bin/bash" >> /etc/passw... | bash |
d_bash_2454 | ---
+++
@@ -3,5 +3,5 @@
cat meta.json
git add data.json
git add meta.json
-git commit -S -m "Update data: $(date +%D) $(date +%T)"
+git commit -m "Update data: $(date +%D) $(date +%T)"
git log | bash |
d_bash_2455 | ---
+++
@@ -1,4 +1,9 @@
#!/bin/bash
+
+function err() {
+ echo FAIL!
+ exit 1
+}
curdir=`dirname $0`
@@ -6,4 +11,4 @@
resolved=$(readlink -f $org)
export patchtoapply="$resolved"
-$curdir/get-mono "mono-3.0.1"
+$curdir/get-mono "mono-3.0.1" || err | bash |
d_bash_2456 | ---
+++
@@ -20,6 +20,7 @@
alias gdb='git branch -D $(git branch | cut -c 3- | pick)'
alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun.
alias gri='git rebase -i'
+alias gpri='git rebase -i $(git branch | cut -c 3- | pick)'
alias gr='git rebase'
alias ggui='/usr/local/opt/git/libexec/gi... | bash |
d_bash_2457 | ---
+++
@@ -23,4 +23,6 @@
"heartbeat"
"syslog"
"enclose"
+ "compress"
+ "riemann"
) | bash |
d_bash_2458 | ---
+++
@@ -14,19 +14,9 @@
exit 1
fi
-# Determine PIP executable
-if command -v pip3 >/dev/null 2>&1; then
- PIP_CMD='pip3'
-elif command -v pip >/dev/null 2>&1; then
- PIP_CMD='pip'
-else
- echo "Cannot find 'pip3' or 'pip' to install required libraries, it should be included with a recent Python 3 installa... | bash |
d_bash_2459 | ---
+++
@@ -18,8 +18,3 @@
docker commit "$(docker ps -aq | head -n1)" ${IMAGE_NAME_BASE}:${SHA_SUM_SETUP}
docker push ${IMAGE_NAME_BASE}:${SHA_SUM_SETUP}
fi
-
-if [ "$(git rev-parse --abbrev-ref HEAD)" = "master" ]; then
- docker tag ${IMAGE_NAME_BASE}:${SHA_SUM_SETUP} ${IMAGE_NAME_BASE}:master
- doc... | bash |
d_bash_2460 | ---
+++
@@ -7,8 +7,7 @@
olddir=`pwd`
cd "$srcdir"
-GTKDOCIZE=$(which gtkdocize 2>/dev/null)
-if test -z $GTKDOCIZE; then
+if ! command -v gtkdocize >/dev/null 2>&1; then
echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
rm -f gtk-doc.make
cat... | bash |
d_bash_2461 | ---
+++
@@ -30,9 +30,9 @@
pip install -U -r requirements.txt
# Migrate database
-sudo -u panda -E python manage.py migrate panda 0010 # Migrate to new models
-sudo -u panda -E python manage.py syncdb # Create new permissions
-sudo -u panda -E python manage.py migrate panda # Finish data ... | bash |
d_bash_2462 | ---
+++
@@ -12,15 +12,11 @@
git checkout "$tag"
git submodule update --init --recursive
BUNDLE_GEMFILE=cf.Gemfile bundle
+
+ for stack in $CF_STACKS; do
+ BUNDLE_GEMFILE=cf.Gemfile bundle exec buildpack-packager --cached --stack="$stack"
+ done
+
+ mv ./*buildpack-cached*.zip buildpack-zip/
popd
-fo... | bash |
d_bash_2463 | ---
+++
@@ -41,5 +41,3 @@
brew install htop-osx
brew install sphinx
brew install zsh-completions
-
-exit 0 | bash |
d_bash_2464 | ---
+++
@@ -3,11 +3,12 @@
# Publish site changes to staging site
URL="staging.openbudgetoakland.org"
+BASEDIR=$(dirname $0)
FILE="../_staging/CNAME"
COUNTER=$((COUNTER+1))
# go to the 'source file' directory
-cd _src
+cd $BASEDIR/_src
# compile files to 'staging' directory
harp compile ./ ../_staging
# up... | bash |
d_bash_2465 | ---
+++
@@ -10,10 +10,11 @@
post_data=$(cat <<EOF
{
"build_parameters": {
- "TRIGGERED_BUILD": "true",
+ "TRIGGERED_BUILD": "true"
}
}
-EOF)
+EOF
+)
curl \
--header "Accept: application/json" \ | bash |
d_bash_2466 | ---
+++
@@ -9,3 +9,8 @@
:aws_secret_access_key: $AWS_SECRET_ACCESS_KEY
EOF
fi
+
+# Generate an ssh keypair, if one doesn't already exist
+if [ ! -f ~/.ssh/id_rsa ]; then
+ ssh-keygen -f ~/.ssh/id_rsa -q -N ""
+fi | bash |
d_bash_2467 | ---
+++
@@ -14,6 +14,7 @@
wget https://raw.githubusercontent.com/ernestoalejo/virtual-vulcano/master/services/database.service
wget https://raw.githubusercontent.com/ernestoalejo/virtual-vulcano/master/services/web.service
+wget https://raw.githubusercontent.com/ernestoalejo/virtual-vulcano/master/services/ftp.se... | bash |
d_bash_2468 | ---
+++
@@ -2,6 +2,7 @@
cd /tmp
wget https://dl.google.com/go/go${GOLANG_VERSION}.linux-amd64.tar.gz
+sudo rm -rf /usr/local/go/
sudo tar -C /usr/local -xzf go${GOLANG_VERSION}.linux-amd64.tar.gz
mkdir -p ~/code/go/src | bash |
d_bash_2469 | ---
+++
@@ -2,8 +2,6 @@
FILES="popup.js key_file_parser.js binary_reader.js entry.js group.js key_file_header.js transform_key_params.js decrypt_params.js decrypt_progress_bar.js"
CHROME_EXTERNS="https://raw.githubusercontent.com/google/closure-compiler/master/contrib/externs/chrome_extensions.js"
-# Temporary un... | bash |
d_bash_2470 | ---
+++
@@ -5,12 +5,12 @@
## http://www.ebi.ac.uk/ena/data/warehouse/usage
## project, study, sample, experiment, or run accession
-PROJ=$1
+[ $# -ge 1 ] && PROJ="$1" || read PROJ
## returned result type. defaults to "read_run"
RESULT=$2
-if [ -z "$1" ] ; then
+if [ -z "$PROJ" ] ; then
echo "No accession... | bash |
d_bash_2471 | ---
+++
@@ -1,20 +1,25 @@
#!/usr/bin/env bash
if [ $# -lt 1 ]; then
- echo "usage: $0 <new-slug> [replace-text-domain]"
+ echo "usage: $0 <slug> [dev-url] [replace-text-domain]"
exit 1
fi
DEFAULT_SLUG="sage"
DEFAULT_PUBLIC_PATH="/app/themes/sage"
-DEFAULT_DEV_URL="http://example.dev"
+DEFAULT_DEV_... | bash |
d_bash_2472 | ---
+++
@@ -17,4 +17,4 @@
alias gb='git branch'
alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun.
alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \
- sed 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm"
+ perl -pe 's/^[ \t]*//' | sed 's/ /\\... | bash |
d_bash_2473 | ---
+++
@@ -6,10 +6,12 @@
# Homebrew recipes
recipes=(
+ Caskroom/cask/osxfuse
bison
dialog
jq
openssl
+ sshfs
tmux
watch
wget | bash |
d_bash_2474 | ---
+++
@@ -18,11 +18,14 @@
mkdir subdir
pushd subdir
-for i in "" . .# .#test ../subdir ../subdir#test "$PWD"; do
+success=("" . .# .#test ../subdir ../subdir#test "$PWD")
+failure=("path:$PWD")
+
+for i in "${success[@]}"; do
nix build $i || fail "flake should be found by searching up directories"
done
... | bash |
d_bash_2475 | ---
+++
@@ -11,7 +11,7 @@
eval "$(ssh-agent -s)" #start the ssh agent
ssh-add .travis/id_rsa
- gulp cd:pushAndRun
+ gulp cd
elif [ $TRAVIS_BRANCH = "staging" ]; then
echo "Deploying to staging and testing"
| bash |
d_bash_2476 | ---
+++
@@ -15,7 +15,7 @@
fi
-if [ -d ${HOME}/Workspace/FlameGraph ]; then
+if [ -d ${WORKSPACE}/FlameGraph ]; then
# useful: checkout https://github.com/brendangregg/FlameGraph.git to ~/Workspace for flame utils
export PATH="${PATH}:${HOME}/Workspace/FlameGraph"
fi | bash |
d_bash_2477 | ---
+++
@@ -15,6 +15,7 @@
cat src/test-suite.log
echo "\n\nconfig.log:\n"
cat config.log
+ set -e
exit $check_result
fi
set -e | bash |
d_bash_2478 | ---
+++
@@ -10,5 +10,7 @@
chromium-browser --kiosk http://localhost:8000?remote=true
}
+BASEDIR=$(dirname "$0")
+
activate_kiosk &
-node server.js
+node $BASEDIR/server.js | bash |
d_bash_2479 | ---
+++
@@ -5,4 +5,5 @@
# LICENSE file in the root directory of this source tree. An additional grant
# of patent rights can be found in the PATENTS file in the same directory.
-ulimit -n 4096
+# 2048 is the max for non root users on Mac
+ulimit -n 2048 | bash |
d_bash_2480 | ---
+++
@@ -1,6 +1,4 @@
#!/bin/sh
-
-gradle build
cd packages/xroad-catalog-lister/redhat
rpmbuild --define "_topdir `pwd`" -ba SPECS/xroad-catalog-lister.spec | bash |
d_bash_2481 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
export CKPT_REDIS="${REDIS_PORT_6379_TCP_ADDR}:${REDIS_PORT_6379_TCP_PORT}"
-export CKPT_AMQP_URL="amqp://${RABBITMQ_PORT_5672_TCP_ADDR}:${RABBITMQ_PORT_5672_TCP_PORT}"
+export CKPT_AMQP_URL="amqp://guest:guest@${RABBITMQ_PORT_5672_TCP_ADDR}:${RABBITMQ_PORT_5672_TCP_PORT}"
./backe... | bash |
d_bash_2482 | ---
+++
@@ -5,11 +5,10 @@
PANELWIDTH=53
NEWPADDING=0
-MONITORS=$(bspc query -M)
-PRIMMONITOR=$(echo "$MONITORS"| head -1)
+MON="$(bspc query -M -m)"
-if (( $(bspc config -m "$PRIMMONITOR" left_padding) == $NEWPADDING )); then
+if (( $(bspc config -m "$MON" left_padding) == $NEWPADDING )); then
NEWPADDING=$PAN... | bash |
d_bash_2483 | ---
+++
@@ -1,14 +1,15 @@
#!/bin/bash
-
-SERVER_SETTINGS_PATH='/home/jenkins'
# Stops the execution of the script if any command, including pipes, fail.
set -e
set -o pipefail
-# Copy server settings file into te build directory.
-echo "Copy server_settings.py from $SERVER_SETTINGS_PATH to `pwd`/HadithHouseW... | bash |
d_bash_2484 | ---
+++
@@ -1,7 +1,7 @@
export MORAY_URL=http://localhost:8080
export PATH=$PWD/build/node/bin:$PWD/node_modules/.bin:$PATH
-alias newdb='dropdb test; createdb test'
+alias newdb='dropdb moray; createdb moray'
alias test_db='newdb && nodeunit ./test/db/*.test.js 3>&1 1>&2 2>&3 | bunyan'
alias server='node main.... | bash |
d_bash_2485 | ---
+++
@@ -1,13 +1,3 @@
#!/bin/bash
-
-cp ~/.cache/wal/*.rasi ~/.config/rofi
-
-cp ~/.cache/wal/colors.sh ~/.bin/colors.sh
-cp ~/.cache/wal/colors-rgba.sh ~/.bin/colors-rgba.sh
-
-cp ~/.cache/wal/zathuracolors ~/.config/zathura/
-
-cp ~/.cache/wal/polybar ~/.config/polybar/colors
-
~/.bin/set_bspwm_colors
| bash |
d_bash_2486 | ---
+++
@@ -27,5 +27,5 @@
git checkout --detach ae206924a621f42cac1a252f2695fac43c9b166a
# Build libvpx
-./configure --enable-experimental --enable-spatial-svc --enable-multi-res-encoding
+./configure --enable-pic --enable-experimental --enable-spatial-svc --enable-multi-res-encoding
make | bash |
d_bash_2487 | ---
+++
@@ -1,8 +1,3 @@
#!/bin/bash -e
-on_chroot sh -e - <<EOF
-update-alternatives --install /usr/share/images/desktop-base/desktop-background \
-desktop-background /usr/share/raspberrypi-artwork/raspberry-pi-logo.png 100
-EOF
-
rm -f ${ROOTFS_DIR}/etc/systemd/system/dhcpcd.service.d/wait.conf | bash |
d_bash_2488 | ---
+++
@@ -22,7 +22,7 @@
unzip "$RELEASE_ZIP"
pushd epgp
-sed --in-place=tmp --expression="s/@VERSION@/$1/" epgp.toc
+sed -itmp -e"s/@VERSION@/$1/" epgp.toc
popd
zip -u -r "$RELEASE_ZIP" epgp/epgp.toc | bash |
d_bash_2489 | ---
+++
@@ -12,6 +12,8 @@
AUTH="--user=$(mdata-get mail_auth_user) --pass=$(mdata-get mail_auth_pass)"
fi
echo "$(mdata-get mail_smarthost) smtp --ssl $AUTH" > /opt/local/etc/nullmailer/remotes
+ chown nullmail:nullmail /opt/local/etc/nullmailer/remotes
+ chmod 0640 /opt/local/etc/nullmailer/remotes
# Enab... | bash |
d_bash_2490 | ---
+++
@@ -17,3 +17,5 @@
esac
}
+#set title
+function st { title=$1; echo -e "\033];${title}\007"; } | bash |
d_bash_2491 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-curl -k https://puppet.jenkins.io:8140/packages/current/install.bash | sudo bash
+curl -k https://puppet.jenkins.io:8140/packages/current/install.bash | bash |
d_bash_2492 | ---
+++
@@ -1,13 +1,17 @@
#!/bin/bash
+
+set -e
tempdir="$(mktemp -d)"
svn co "file://`pwd`/repos/$1" "$tempdir"
cd "$tempdir"
-gametex="/afs/athena.mit.edu/user/k/e/kenclary/Public/Guild/GameTeX/GameTeX"
+gametex="http://web.mit.edu/kenclary/Public/Guild/GameTeX/gametex.tar.bz2"
-cp -R $gametex/* ./
+cur... | bash |
d_bash_2493 | ---
+++
@@ -13,6 +13,8 @@
echo Issuing Command: \`$cmd $cme $cmf\'
eval $cmd $cme $cmf
else
- echo 'Usage: ./this <dir1> <dir2>'
+ echo 'Usage: ./this <dir1> <dir2> [opts]'
+ echo ' -u'
+ echo ' unified diff, rather than split into columns'
fi
| bash |
d_bash_2494 | ---
+++
@@ -2,10 +2,10 @@
usuario=$(./app/utils/UsuarioLogado.sh)
-wget -qO - https://download.sublimetext.com/sublimehq-pub.gpg | sudo apt-key add -
+wget https://download.sublimetext.com/sublime-text_build-3126_amd64.deb -O /home/$usuario/Downloads/sublime-text_build-3126_amd64.deb
-sudo echo "deb https://do... | bash |
d_bash_2495 | ---
+++
@@ -16,9 +16,11 @@
fi
if command_is_executable cargo >/dev/null 2>&1; then
+ if ! grep -q "x86_64-linux-musl-gcc" ~/.cargo/config
cat >>~/.cargo/config <<EOF
[target.x86_64-unknown-linux-musl]
linker = "x86_64-linux-musl-gcc"
EOF
+ fi
fi | bash |
d_bash_2496 | ---
+++
@@ -1,4 +1,5 @@
-#!/bin/bash -eu
+#!/bin/bash
+set -eu
function platform() {
local system | bash |
d_bash_2497 | ---
+++
@@ -11,9 +11,18 @@
# Requirements:
# External command "xdotool"
-WINDOWEXISTS=false
+# Make sure 'xdotool' is installed, otherwise display a warning:
+XDOTOOLEXISTS=false
+which xdotool && XDOTOOLEXISTS=true
+if [ $XDOTOOLEXISTS = false ]
+then
+ xmessage "You need to install xdotool"
+ exit 1
+fi
+
# Us... | bash |
d_bash_2498 | ---
+++
@@ -9,3 +9,5 @@
# set XDG Base Directories appropriately
export XDG_CONFIG_HOME="$HOME/.config"
+export XDG_CACHE_HOME="$HOME/.cache"
+export XDG_DATA_HOME="$HOME/.local/share" | bash |
d_bash_2499 | ---
+++
@@ -1,4 +1,4 @@
-export EDITOR=vim
+export EDITOR=nano
HISTFILE=~/.zsh_history
HISTSIZE=1048576 | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.